Skip to main content
GET
Retrieve speaker separation status

Headers

x-api-key
string | null

Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.

Path Parameters

voice_id
string
required

Voice ID to be used, you can use GET /v1/voices to list all the available voices.

Example:

"21m00Tcm4TlvDq8ikWAM"

sample_id
string
required

Sample ID to be used

Example:

"VW7YKqPnjY4h39yTbx2L"

Response

Successful Response

voice_id
string
required

The ID of the voice.

sample_id
string
required

The ID of the sample.

status
enum<string>
required

The status of the speaker separation.

Available options:
not_started,
pending,
completed,
failed
speakers
Speakers · object | null

The speakers of the sample.

selected_speaker_ids
string[] | null

The IDs of the selected speakers.